Revert commit
curl --request POST \
--url https://api.example.com/api/projects/{projectId}/branches/{branchId}/revert \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"branchName": "<string>",
"commitId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"message": "<string>"
}
'import requests
url = "https://api.example.com/api/projects/{projectId}/branches/{branchId}/revert"
payload = {
"branchName": "<string>",
"commitId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"message": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
branchName: '<string>',
commitId: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
message: '<string>'
})
};
fetch('https://api.example.com/api/projects/{projectId}/branches/{branchId}/revert', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"default": true,
"projectId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"baseCommitId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"createdById": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"createdBy": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"email": "<string>",
"firstName": "<string>",
"lastName": "<string>"
},
"changeRequests": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"status": "<string>",
"type": "<string>",
"branchId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"projectId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"createdAt": "2023-11-07T05:31:56Z"
}
]
}Branches
Revert commit
Creates a new branch that reverts the project state to a specific commit.
POST
/
api
/
projects
/
{projectId}
/
branches
/
{branchId}
/
revert
Revert commit
Authorizations
personalAccessTokeninternalAuth
Personal access token is obtained through your profile
Path Parameters
Project ID
Branch ID or "main" for the default branch
Body
application/json
Response
200 - application/json
The newly created revert branch
The newly created revert branch
Branch ID
Branch name
Whether this is the default (main) branch
Project ID
Base commit ID
ID of user who created the branch
Creation timestamp
Last update timestamp
User who created the branch
Show child attributes
Show child attributes
Pending change requests
Show child attributes
Show child attributes
Was this page helpful?
⌘I